Skip to main content
PUT
Resubmit change request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

personId
string<uuid>
required

The unique identifier for the person

changeRequestId
string<uuid>
required

The unique identifier for the change request

Body

application/json

Submit change request payload

compInfo
object
required

Person's compensation information, how much will they get paid, currency and frequency

effectiveDate
string<date>
required

The date the change takes effect, in yyyy-MM-dd

Example:

"2027-01-01"

reason
enum<string>
required
Available options:
annual_pay_adjustment,
promotion,
role_change,
error_correction,
other
jobInfo
object

Person's job information, start date, job title, and employee number

notes
string

Context for the review

decreaseDetails
object

Required when the change lowers the worker's salary plus allowances

Response

Change request resubmitted